Name:          xdg-desktop-portal
Version:       1.18.1
Release:       1mamba
Summary:       A portal frontend service for Flatpak and possibly other desktop containment frameworks
Group:         System/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/flatpak/xdg-desktop-portal
Source:        https://github.com/flatpak/xdg-desktop-portal.git/%{version}/xdg-desktop-portal-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfuse3-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libjson-glib-devel
BuildRequires: libpipewire-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: libportal-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A portal frontend service for Flatpak and possibly other desktop containment frameworks.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_userunitdir}/xdg-*.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.*.service
%dir %{_datadir}/doc/xdg-desktop-portal
%{_datadir}/doc/xdg-desktop-portal/*
%{_mandir}/man5/portals.conf.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libexecdir}/xdg-*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/xdg-desktop-portal.pc
%doc NEWS README.md

%changelog
* Fri Oct 27 2023 Automatic Build System <autodist@mambasoft.it> 1.18.1-1mamba
- automatic version update by autodist

* Tue Oct 10 2023 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Tue Dec 13 2022 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Wed Aug 03 2022 Automatic Build System <autodist@mambasoft.it> 1.14.6-1mamba
- automatic version update by autodist

* Thu Jul 21 2022 Automatic Build System <autodist@mambasoft.it> 1.14.5-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Sat Apr 16 2022 Automatic Build System <autodist@mambasoft.it> 1.14.3-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Fri Mar 25 2022 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Mon Jan 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.1-1mamba
- package created using the webbuild interface
